
import { ComponentMetadata, Snippet } from '@alilc/lowcode-types';

const BoxMeta: ComponentMetadata = {
  "componentName": "Box",
  "title": "Box",
  "docUrl": "",
  "screenshot": "",
  "devMode": "proCode",
  "npm": {
    "package": "my-material-test",
    "version": "1.0.0",
    "exportName": "Box",
    "main": "src/index.tsx",
    "destructuring": true,
    "subName": ""
  },
  "configure": {
    "props": [
      {
        "title": {
          "label": {
            "type": "i18n",
            "en-US": "device",
            "zh-CN": "device"
          }
        },
        "name": "device",
        "setter": {
          "componentName": "RadioGroupSetter",
          "props": {
            "dataSource": [
              {
                "label": "phone",
                "value": "phone"
              },
              {
                "label": "tablet",
                "value": "tablet"
              },
              {
                "label": "desktop",
                "value": "desktop"
              }
            ],
            "options": [
              {
                "label": "phone",
                "value": "phone"
              },
              {
                "label": "tablet",
                "value": "tablet"
              },
              {
                "label": "desktop",
                "value": "desktop"
              }
            ]
          },
          "initialValue": "phone"
        }
      },
      {
        "title": {
          "label": {
            "type": "i18n",
            "en-US": "flex",
            "zh-CN": "flex"
          }
        },
        "name": "flex",
        "setter": {
          "componentName": "MixedSetter",
          "props": {
            "setters": [
              {
                "componentName": "NumberSetter",
                "isRequired": false,
                "initialValue": 0
              },
              {
                "componentName": "ArraySetter",
                "props": {
                  "itemSetter": {
                    "componentName": "MixedSetter",
                    "props": {
                      "setters": [
                        {
                          "componentName": "StringSetter",
                          "isRequired": false,
                          "initialValue": ""
                        },
                        {
                          "componentName": "NumberSetter",
                          "isRequired": false,
                          "initialValue": 0
                        }
                      ]
                    }
                  }
                },
                "initialValue": []
              }
            ]
          }
        }
      },
      {
        "title": {
          "label": {
            "type": "i18n",
            "en-US": "direction",
            "zh-CN": "direction"
          }
        },
        "name": "direction",
        "setter": {
          "componentName": "RadioGroupSetter",
          "props": {
            "dataSource": [
              {
                "label": "row",
                "value": "row"
              },
              {
                "label": "column",
                "value": "column"
              },
              {
                "label": "row-reverse",
                "value": "row-reverse"
              }
            ],
            "options": [
              {
                "label": "row",
                "value": "row"
              },
              {
                "label": "column",
                "value": "column"
              },
              {
                "label": "row-reverse",
                "value": "row-reverse"
              }
            ]
          },
          "initialValue": "row"
        }
      },
      {
        "title": {
          "label": {
            "type": "i18n",
            "en-US": "wrap",
            "zh-CN": "wrap"
          }
        },
        "name": "wrap",
        "setter": {
          "componentName": "BoolSetter",
          "isRequired": false,
          "initialValue": false
        }
      },
      {
        "title": {
          "label": {
            "type": "i18n",
            "en-US": "spacing",
            "zh-CN": "spacing"
          }
        },
        "name": "spacing",
        "setter": {
          "componentName": "MixedSetter",
          "props": {
            "setters": [
              {
                "componentName": "NumberSetter",
                "isRequired": false,
                "initialValue": 0
              },
              {
                "componentName": "ArraySetter",
                "props": {
                  "itemSetter": {
                    "componentName": "NumberSetter",
                    "isRequired": false,
                    "initialValue": 0
                  }
                },
                "initialValue": []
              }
            ]
          }
        }
      },
      {
        "title": {
          "label": {
            "type": "i18n",
            "en-US": "margin",
            "zh-CN": "margin"
          }
        },
        "name": "margin",
        "setter": {
          "componentName": "MixedSetter",
          "props": {
            "setters": [
              {
                "componentName": "NumberSetter",
                "isRequired": false,
                "initialValue": 0
              },
              {
                "componentName": "ArraySetter",
                "props": {
                  "itemSetter": {
                    "componentName": "NumberSetter",
                    "isRequired": false,
                    "initialValue": 0
                  }
                },
                "initialValue": []
              }
            ]
          }
        }
      },
      {
        "title": {
          "label": {
            "type": "i18n",
            "en-US": "padding",
            "zh-CN": "padding"
          }
        },
        "name": "padding",
        "setter": {
          "componentName": "MixedSetter",
          "props": {
            "setters": [
              {
                "componentName": "NumberSetter",
                "isRequired": false,
                "initialValue": 0
              },
              {
                "componentName": "ArraySetter",
                "props": {
                  "itemSetter": {
                    "componentName": "NumberSetter",
                    "isRequired": false,
                    "initialValue": 0
                  }
                },
                "initialValue": []
              }
            ]
          }
        }
      },
      {
        "title": {
          "label": {
            "type": "i18n",
            "en-US": "justify",
            "zh-CN": "justify"
          }
        },
        "name": "justify",
        "setter": {
          "componentName": "StringSetter",
          "isRequired": false,
          "initialValue": ""
        }
      },
      {
        "title": {
          "label": {
            "type": "i18n",
            "en-US": "align",
            "zh-CN": "align"
          }
        },
        "name": "align",
        "setter": {
          "componentName": "StringSetter",
          "isRequired": false,
          "initialValue": ""
        }
      },
      {
        "title": {
          "label": {
            "type": "i18n",
            "en-US": "prefix",
            "zh-CN": "样式类名的品牌前缀"
          },
          "tip": "prefix | 样式类名的品牌前缀"
        },
        "name": "prefix",
        "description": "样式类名的品牌前缀",
        "setter": {
          "componentName": "StringSetter",
          "isRequired": false,
          "initialValue": ""
        }
      },
      {
        "title": {
          "label": {
            "type": "i18n",
            "en-US": "locale",
            "zh-CN": "国际化文案对象，属性"
          },
          "tip": "locale | 国际化文案对象，属性为组件的 displayName"
        },
        "name": "locale",
        "description": "国际化文案对象，属性为组件的 displayName",
        "setter": {
          "componentName": "MixedSetter",
          "isRequired": false,
          "props": {}
        }
      },
      {
        "title": {
          "label": {
            "type": "i18n",
            "en-US": "pure",
            "zh-CN": "是否开启 Pure "
          },
          "tip": "pure | 是否开启 Pure Render 模式，会提高性能，但是也会带来副作用"
        },
        "name": "pure",
        "description": "是否开启 Pure Render 模式，会提高性能，但是也会带来副作用",
        "setter": {
          "componentName": "BoolSetter",
          "isRequired": false,
          "initialValue": false
        }
      },
      {
        "title": {
          "label": {
            "type": "i18n",
            "en-US": "warning",
            "zh-CN": "是否在开发模式下显示"
          },
          "tip": "warning | 是否在开发模式下显示组件属性被废弃的 warning 提示"
        },
        "name": "warning",
        "description": "是否在开发模式下显示组件属性被废弃的 warning 提示",
        "setter": {
          "componentName": "BoolSetter",
          "isRequired": false,
          "initialValue": false
        }
      },
      {
        "title": {
          "label": {
            "type": "i18n",
            "en-US": "rtl",
            "zh-CN": "是否开启 rtl 模"
          },
          "tip": "rtl | 是否开启 rtl 模式"
        },
        "name": "rtl",
        "description": "是否开启 rtl 模式",
        "setter": {
          "componentName": "BoolSetter",
          "isRequired": false,
          "initialValue": false
        }
      }
    ],
    "supports": {
      style: true,
      className: true,
    },
    "component": {
      isContainer: true,
    }
  }
};
const snippets: Snippet[] = [
  {
    "title": "Box",
    "screenshot": "",
    "schema": {
      "componentName": "Box",
      "props": {}
    }
  }
];

export default {
  ...BoxMeta,
  snippets
};
